View Issue Details

IDProjectCategoryView StatusLast Update
0003312SymmetricDSBugpublic2018-06-05 16:55
Reporterwoehrl01Assigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.8 
Target Version3.9.8Fixed in Version3.9.8 
Summary0003312: Compare tablename case insensitiv on SQLite on trigger creation
DescriptionThis PR changes the comparison if trigger exists on table to case insensitiv, otherwise this could lead to the following error (which gets ignored) if the tablename is quoted (somehow)

[mobil-2] - TriggerRouterService - Cleaning up trigger hist row of 640 after fai
ling to create the associated trigger
[mobil-2] - TriggerRouterService - Failed to create triggers for GR_APPOINTMENT2
CUSTOMER
org.jumpmind.db.sql.SqlException: [SQLITE_ERROR] SQL error or missing database (
trigger SYM_ON_I_FOR_XXX_M2C_MBL already exists)
        at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate
.java:288)
        at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2017-11-13 15:52 woehrl01 New Issue
2018-05-16 13:57 mmichalek Assigned To => mmichalek
2018-05-16 13:57 mmichalek Status new => resolved
2018-05-16 13:57 mmichalek Resolution open => fixed
2018-05-16 13:57 mmichalek Product Version => 3.9.8
2018-05-16 13:57 mmichalek Fixed in Version => 3.9.8
2018-05-16 13:57 mmichalek Target Version => 3.9.8
2018-06-05 16:55 mmichalek Status resolved => closed